<?xml version="1.0" encoding="utf-8"?>
<manifest
    xmlns:android="http://schemas.android.com/apk/res/android"
    package="jp.sourceforge.tamanegisoul.sa"
    android:versionName="1.1.1"
    android:versionCode="1010100"
>
    <uses-sdk
        android:minSdkVersion="7"
    ></uses-sdk>

    <application
        android:icon="@drawable/icon"
        android:theme="@android:style/Theme.NoTitleBar"
        android:label="メザマシ！"
    >
        <activity
            android:screenOrientation="portrait"
            android:name=".action.DashboardActivity"
            android:launchMode="singleTask"
        >
            <intent-filter>
                <action
                    android:name="android.intent.action.MAIN" />
                <category
                    android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:launchMode="singleInstance"
            android:screenOrientation="portrait"
            android:name=".action.DoAlarmActivity"
        ></activity>
        <activity
            android:screenOrientation="portrait"
            android:name=".action.HolidayListActivity"
        ></activity>
        <activity
            android:screenOrientation="portrait"
            android:name=".action.HolidayActivity"
        ></activity>
        <activity
            android:screenOrientation="portrait"
            android:name=".action.AppPreferenceActivity"
        ></activity>
        <activity
            android:screenOrientation="portrait" android:name=".action.CalendarEventActivity"></activity>
        <service
            android:name=".action.CalendarObserverService"
        ></service>
        <receiver
            android:name=".action.AlarmReceiver"
        ></receiver>
        <receiver
            android:name=".action.BootReceiver"
        >
            <intent-filter>
                <action
                    android:name="android.intent.action.BOOT_COMPLETED"
                ></action>
                <action
                    android:name="com.android.vending.INSTALL_REFERRER"
                ></action>
            </intent-filter>
        </receiver>
        <receiver
            android:name=".action.SimpleWidgetProvider"
            android:label="メザマシ！"
        >
            <intent-filter>
                <action
                    android:name="android.appwidget.action.APPWIDGET_UPDATE" />
                <action
                    android:name="jp.sourceforge.tamanegisoul.sa.CANCEL_SNOOZE" />
            </intent-filter>
            <meta-data
                android:name="android.appwidget.provider"
                android:resource="@xml/appwidget" />
        </receiver>
    </application>

    <uses-permission
        android:name="android.permission.GET_ACCOUNTS"
    ></uses-permission>
    <uses-permission
        android:name="android.permission.INTERNET"
    ></uses-permission>
    <uses-permission
        android:name="android.permission.WAKE_LOCK"
    ></uses-permission>
    <uses-permission
        android:name="android.permission.DISABLE_KEYGUARD"
    ></uses-permission>
    <uses-permission
        android:name="android.permission.VIBRATE"
    ></uses-permission>
    <uses-permission
        android:name="android.permission.RECEIVE_BOOT_COMPLETED"
    ></uses-permission>
    <uses-permission
        android:name="android.permission.WRITE_EXTERNAL_STORAGE"
    ></uses-permission>
    <uses-permission
        android:name="android.permission.READ_CALENDAR"
    ></uses-permission>
    <uses-permission
        android:name="android.permission.WRITE_CALENDAR"
    ></uses-permission>

</manifest> 